File uim.changes of Package uim

-------------------------------------------------------------------
Thu May 10 08:29:10 UTC 2018 - aloisio@gmx.com

- Update to version 1.8.8
  Fixes:
  * Fix a build error with --with-libgcroots=installed
    + [GitHub #130][Reported by HIGUCHI Daisuke]
  * uim-qt5
    + Fix a build error
      [GitHub #129][Reported by HIGUCHI Daisuke]
  version 1.8.7
  Fixes:
  * uim-skk
    + Fix a socket clean bug
      [GitHub#32][Reported by HIGUCHI Daisuke]
    + Fix wrong close call
      [GitHub#55][Patch by zephyrus00jp]
  * uim-qt4
    + Add a missing include
      [GitHub#38][Patch by Raphael Kubo da Costa]
  * uim.el
    + Fix a bug that other minor mode key bindings are ignored
      on Emacs 24
      [GitHub#51][Reported by Araeos]
    + Fix a bug that Shift+Arrow doesn't work
      [GitHub#116][Reported by Vladimir Panteleev]
  * uim-gtk3
    + Fix a bug that the candidate windows isn't shown
      [GitHub#76][Patch by Konosuke Watanab]
  Enhancements:
  * all
    + Add "Keywords" to .desktop
      [GitHub#57][Patch by HIGUCHI Daisuke]
  * uim-gtk
    + Improve GTK+ 3 support
      [GitHub#35][Patch by e-kato]
    + Support libpanel-applet 3.14 or later
      [GitHub#48][Patch by Dmitry Shachnev]
    + Support Wayland backend
      [GitHub#71][Reported by Thibaut Girka]
  * uim-fep
    + Use UTF-8 for comment encoding
      [GitHub#46][Patch by Felix Janda]
  * uim-qt5
    + Make workable
  * uim-social-ime
    + Remove because the service was disruption
  * uim.el
    + Support autoload
      [GitHub#121][Patch by Arun Isaac]

- Added qt5 subpackage

- Dropped applet-gnome subpackage (no longer supported on current
  targets)

- Dropped fix-for-sles-qhash-incomplete-type.patch (no longer
  necessary)

- Dropped libgcroots-aarch64.patch (merged upstream)

- Spec cleanup

-------------------------------------------------------------------
Sun Sep 28 06:34:10 UTC 2014 - ftake@geeko.jp

- Drop locale(ja) to slim down Japanese locale 

-------------------------------------------------------------------
Fri Feb 14 12:10:13 CET 2014 - tiwai@suse.de

- Fix *-32bit post and postun calls for gtk-query-immodules-2 on
  openSUSE 13.1 and later (bnc#845860)

-------------------------------------------------------------------
Sat Aug 24 04:37:14 UTC 2013 - ftake@geeko.jp

- update to 1.8.6
  * libuim: add XDG_RUNTIME_DIR support (by tagoh)
  * po: list language names on each line in LINGUAS (by naota)
  * uim-canna: Avoid a crash when a Canna server name is specified
    (by Kouichi ONO)
  * uim-m17nlib: Add an option to set a candidate windows to be
    visiable or hidden
  * uim-tutcode: Updated trycode composition table retrieved
    2013-06-26 

-------------------------------------------------------------------
Wed Aug 21 15:52:16 UTC 2013 - dimstar@opensuse.org

- Introduce build_applet defines, set to true up to openSUSE 12.3:
  + Specifies wether to build the gnome-panel applet, resp
    uim-applet-gnome subpackage.
  + Conditionally BuildRequires gnome-panel-devel
  + If evaluated to false, obsoletes uim-applet-gnome for clean
    upgrades.

-------------------------------------------------------------------
Tue Jul 16 15:36:23 UTC 2013 - coolo@suse.com

- remove qt3 support, long dead

-------------------------------------------------------------------
Tue May  7 15:27:55 UTC 2013 - schwab@suse.de

- libgcroots-aarch64.patch: Add support for aarch64 in libgcroots
- Don't regenerate configure

-------------------------------------------------------------------
Tue Apr 30 14:27:38 UTC 2013 - cfarrell@suse.com

- license update: BSD-3-Clause and LGPL-2.1+ and (BSD-3-Clause or LGPL-2.0)
  More detail on license choices. Compatible with Fedora spec file
  declaration

-------------------------------------------------------------------
Sat Apr 27 08:39:51 UTC 2013 - i@marguerite.su

- update version 1.8.5
  * uim-gtk2/3
  ** Avoid an infinite recursion when no preedit is started (by tagoh)
  * uim-tutcode
  ** Fix behavior of postfix katakana conversion
- specfile clean

-------------------------------------------------------------------
Mon Jul  2 04:07:57 UTC 2012 - i@marguerite.su

- update version 1.8.1
  * New IM uim-google-cgiapi-jp
  * New IM uim-baidu-olime-jp
  * Delay showing candidate window
  * Horizontal candidate window
  * Japanese Romaji-Kana composing rule in uim-pref
  * Many new features in uim-tutcode

-------------------------------------------------------------------
Tue Jun  5 16:17:18 UTC 2012 - i@marguerite.su

- fix sles builds.
  * %make_install to %makeinstall

-------------------------------------------------------------------
Tue Feb 28 13:46:10 CET 2012 - tiwai@suse.de

- updated uim to 1.7.2, 1.7.3
  * Fix crash when text acquisition is invoked with selected text
  * Support text acquisition API with QTextEdit of Qt4
  * Fix behavior of text deletion API with QTextEdit of Qt4
  * Bug fixes for uim-m17nlib

-------------------------------------------------------------------
Mon Feb 13 10:57:19 UTC 2012 - coolo@suse.com

- patch license to follow spdx.org standard

-------------------------------------------------------------------
Sun Nov 20 06:29:25 UTC 2011 - coolo@suse.com

- add libtool as buildrequire to avoid implicit dependency

-------------------------------------------------------------------
Thu Oct 13 15:43:14 CEST 2011 - tiwai@suse.de

- Add missing obsoletes/provides for uim-qt3 in baselibs.conf
- Fix crash and a registration issue in Firefox (bnc#723899)

-------------------------------------------------------------------
Wed Oct 12 12:28:44 UTC 2011 - anixx@opensuse.org

- enable kde3 applet
- rename uim-qt to uim-qt3
- remove obsolete version check

-------------------------------------------------------------------
Mon Sep  5 10:49:11 UTC 2011 - coolo@suse.com

- fix build with newer ld

-------------------------------------------------------------------
Mon Sep  5 10:10:11 UTC 2011 - nlminhtl@gmail.com

- uim doesn't depend on libgnomeui-devel from 1.7.0. 
  The dependency was removed in r6932 in the upstream repository

-------------------------------------------------------------------
Mon Aug  8 16:33:16 CEST 2011 - tiwai@suse.de

- Fix baselibs.conf to update GTK immodule cache properly for
  uim-gtk2-32bit and uim-gtk3-32bit packages, too

-------------------------------------------------------------------
Fri Jul 29 17:36:56 CEST 2011 - tiwai@suse.de

- updated to uim-1.7.1:
  Major updates, see release notes of 1.6.0, 1.6.1, 1.7.0 and
  1.7.1:
    http://uim.googlecode.com/svn/tags/uim-1.6.0/RELNOTE
    http://uim.googlecode.com/svn/tags/uim-1.6.1/RELNOTE
    http://uim.googlecode.com/svn/tags/uim-1.7.0/RELNOTE
    http://uim.googlecode.com/svn/tags/uim-1.7.1/RELNOTE
- Enabled Gtk3 IM build
- Re-enabled applet build for FACTORY, created uim-applet-gnome
  sub-package
- Enable libedit properly
- Enable m17n-lib
- Clean up spec file

-------------------------------------------------------------------
Tue May 31 16:23:54 UTC 2011 - dimstar@opensuse.org

- Introduce a build_applet define, which is set to 1 on openSUSE up
  to 11.4. For current Factory, we need to disable the applet, as
  it is not (yet) ported to the new libpanelapplet-4.0
  infrastructure of Gnome3.
- Move the gnome applet actually to the gtk package (when building
  the applet).

-------------------------------------------------------------------
Wed Mar  9 12:29:07 CET 2011 - tiwai@suse.de

- Fix post scripts to use new gtk2_immodule_* macros (bnc#678080)
- Fix builds with older distros

-------------------------------------------------------------------
Fri Jan 14 15:43:54 UTC 2011 - coolo@novell.com

- fix build and ran spec-cleaner

-------------------------------------------------------------------
Mon Feb  1 12:36:04 UTC 2010 - jengelh@medozas.de

- package baselibs.conf

-------------------------------------------------------------------
Tue Sep 15 22:55:28 UTC 2009 - crrodriguez@novell.com

- do not package static libraries 

-------------------------------------------------------------------
Thu Jul  9 08:33:33 CEST 2009 - tiwai@suse.de

- removed unused patches

-------------------------------------------------------------------
Thu Jul  2 12:15:14 CEST 2009 - tiwai@suse.de

- updated to version 1.5.6:
  * lots of changes, see
    http://uim.googlecode.com/svn/tags/uim-1.5.6/NEWS
- enable qt4 immodule
- enable anthy-utf8 IM

-------------------------------------------------------------------
Thu Jun  4 16:04:31 CEST 2009 - tiwai@suse.de

- fix build for older distros

-------------------------------------------------------------------
Mon Feb 23 00:14:19 CET 2009 - vuntz@novell.com

- Add uim-fix-gnome-compilation.patch to fix build. The patch
  should probably be sent upstream if the latest version still has
  the issue (upstream is at 1.5.5 now).
- Add libgnomeui-devel BuildRequires for the patch.

-------------------------------------------------------------------
Tue Nov 25 17:22:20 CET 2008 - sbrabec@suse.cz

- Supplement gtk2-32bit/gtk2-64bit and qt3-32bit/qt3-64bit in
  baselibs.conf (bnc#354164).

-------------------------------------------------------------------
Fri Oct 17 15:22:26 CEST 2008 - mfabian@suse.de

- bnc#436245: Emacs cannot start flawlessly from within a directory
  containing umlauts in it's name: fix by loading uim-leim
  not immediately in suse-start-uim.el but rather load it in
  'emacs-startup-hook.
  (Fixed by Werner Fink <werner@suse.de>).
- fix build in Factory (add “intltoolize --force -c --automake”)

-------------------------------------------------------------------
Fri Jan 11 22:28:59 CET 2008 - mfabian@suse.de

- include missing headers to make it build on STABLE.
- use fdupes

-------------------------------------------------------------------
Mon May 07 12:20:34 CEST 2007 - mfabian@suse.de

- Bugzilla #271696: fix bug in uim start script which made it
  impossible to set uim as the default input method.
  Thanks to Satoshi Niimi <sa2c@sa2c.net> for the report and the
  fix.

-------------------------------------------------------------------
Sat Mar 31 14:11:57 CEST 2007 - aj@suse.de

- Cleanup BuildRequires.

-------------------------------------------------------------------
Tue Feb  6 00:15:10 CET 2007 - ro@suse.de

- fix build 

-------------------------------------------------------------------
Fri Feb  2 13:56:50 CET 2007 - sbrabec@suse.cz

- Removed references to /opt/gnome.
- Bi-arch libexecdir fix.
- Package each file only once.
- Use %ghost for autogenerated files.

-------------------------------------------------------------------
Mon Dec 25 19:04:31 CET 2006 - schwab@suse.de

- Fix format string bugs.
- Make uim-el less chatty.
- Remove inappropriate advice.
- Don't clobber current-input-method-title.

-------------------------------------------------------------------
Fri Sep 15 16:39:43 CEST 2006 - mfabian@suse.de

- make auto-autoloads.el for XEmacs really work.
- make vertical candidate list display the default.

-------------------------------------------------------------------
Thu Sep 14 13:41:49 CEST 2006 - mfabian@suse.de

- add uim-el for XEmacs.
- byte-compile the .el files for Emacs and XEmacs.
- add suse-start-uim.el for Emacs and auto-autoloads.el for XEmacs
  to be able to use uim-el without further setup.

-------------------------------------------------------------------
Mon Sep 11 12:57:06 CEST 2006 - mfabian@suse.de

- update to 1.2.1.
- new subpackage uim-qt (used to be build from a different
  tarball but it is now included in uim).

-------------------------------------------------------------------
Mon Jun 19 10:34:29 CEST 2006 - schwab@suse.de

- Work around broken use of configure substitutions.

-------------------------------------------------------------------
Tue Feb 28 18:27:20 CET 2006 - mfabian@suse.de

- add "Provides: locale(...)".

-------------------------------------------------------------------
Wed Jan 25 21:42:24 CET 2006 - mls@suse.de

- converted neededforbuild to BuildRequires

-------------------------------------------------------------------
Wed Jan 18 17:10:14 CET 2006 - schwab@suse.de

- Fix garbage collector.
- Use RPM_OPT_FLAGS.
- Fix aliasing bugs.

-------------------------------------------------------------------
Fri Aug 26 11:22:24 CEST 2005 - mfabian@suse.de

- Bugzilla #113081: uim should register the input modules in the
  %post script.

-------------------------------------------------------------------
Thu Aug 25 12:34:11 CEST 2005 - mfabian@suse.de

- Bugzilla #112931: gtk2 specific stuff in %post and %postun should
  be moved to the proper sub-package.

-------------------------------------------------------------------
Mon Aug 08 14:13:52 CEST 2005 - mfabian@suse.de

- update to 0.4.8.

-------------------------------------------------------------------
Tue May 31 16:42:01 CEST 2005 - mfabian@suse.de

- update to 0.4.6 svn revison 850.
  remove ipa-x-sampa.patch (included).

-------------------------------------------------------------------
Mon Apr 25 12:57:13 CEST 2005 - mfabian@suse.de

- update to 0.4.6 svn revision 828.
- fix a small problem in ipa-x-sampa: mnenonic for U+02D0 and
  U+02D1 is ':' and ':\' respectively (not ';' and ';\').

-------------------------------------------------------------------
Thu Feb 24 17:39:48 CET 2005 - mfabian@suse.de

- Bugzilla #66448: update to 0.4.6 svn revision 714
  to fix a security problem (CAN-2005-0503).

-------------------------------------------------------------------
Tue Feb 22 16:26:29 CET 2005 - mfabian@suse.de

- fix typo in /etc/X11/xim.d/uim.

-------------------------------------------------------------------
Tue Feb 22 15:30:36 CET 2005 - mfabian@suse.de

- create start script /etc/X11/xim.d/uim and symlink in ja
  subdirectory.

-------------------------------------------------------------------
Sat Jan 08 10:40:59 CET 2005 - mfabian@suse.de

- update to 0.4.5.20050108.165 (fixes crashes and moves the plugins
  to the correct directory).
- add anthy, anthy-devel to "# neededforbuild". Previously anthy
  was not needed at buildtime but now it is.
- remove dont-use-uim-default-by-default-for-all-languages.patch,
  it's not necessary anymore and setting the wildcard for the
  direct input method to the  empty string instead of "*" makes
  uim crash.

-------------------------------------------------------------------
Fri Jan 07 15:31:02 CET 2005 - mfabian@suse.de

- update to 0.4.5.20050107.
- remove uim-toolbar-gtk.patch (now included in tarball).

-------------------------------------------------------------------
Wed Jan 05 00:04:46 CET 2005 - mfabian@suse.de

- update prime.scm to prime_2004-12-13.scm.

-------------------------------------------------------------------
Wed Dec 22 11:59:13 CET 2004 - mfabian@suse.de

- apply uim-toolbar-gtk.patch received from
  TOKUNAGA Hiroyuki <tkng@xem.jp> to make uim-toolbar-gtk work
  with gtk+ >= 2.5.

-------------------------------------------------------------------
Fri Dec 17 15:43:14 CET 2004 - mfabian@suse.de

- fix version number in configure.ac.

-------------------------------------------------------------------
Wed Dec 15 15:18:29 CET 2004 - mfabian@suse.de

- update to 0.4.5svn1650.
  dont-use-uim-default-by-default-for-all-languages.patch is
  apparently not necessary anymore.

-------------------------------------------------------------------
Fri Sep 17 01:51:45 CEST 2004 - ro@suse.de

- remove xfce from neededforbuild (unused anyway)

-------------------------------------------------------------------
Sat Sep  4 21:30:13 CEST 2004 - mfabian@suse.de

- update to 0.4.3.

-------------------------------------------------------------------
Tue Aug 24 20:32:10 CEST 2004 - mfabian@suse.de

- Bugzilla #44155: add /usr/bin/touch to PreReq:.

-------------------------------------------------------------------
Fri Aug 20 18:16:04 CEST 2004 - mfabian@suse.de

- update to svn trunk (0.4.2.1.20040820) to fix the switching
  between the romaji and kana input mode, see also:
  http://freedesktop.org/pipermail/uim/2004-August/000603.html

-------------------------------------------------------------------
Fri Aug 13 22:50:11 CEST 2004 - mfabian@suse.de

- update to 0.4.2.1
- add control-reaches-end-of-non-void-function.patch.
- move uim-helper-candwin-gtk, uim-helper-toolbar-gtk, and
  uim-helper-applet to uim-applet sub-package.

-------------------------------------------------------------------
Tue Mar 16 23:31:04 CET 2004 - mfabian@suse.de

- update to 0.3.2.

-------------------------------------------------------------------
Tue Mar 16 23:15:42 CET 2004 - mfabian@suse.de

- make only uim-anthy a default gtk-input-module for Japanese.
- don't use the uim-default input module for any language by
  default (This module was used for *all* languages by default,
  that means even when running in de_DE.UTF-8 locale,
  uim-helper-server would start, which is quite useless).
- add canna canna-devel canna-libs to # neededforbuild in order
  to build the uim-canna module as well.

-------------------------------------------------------------------
Fri Mar  5 14:49:48 CET 2004 - mfabian@suse.de

- update to 0.3.1
- remove uim.patch and warnings.patch (included upstream).

-------------------------------------------------------------------
Thu Feb 26 12:39:24 CET 2004 - mfabian@suse.de

- new package, version 0.3.0.1.